curl --request GET \
--url https://prod.truv.com/v1/tasks/{id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/tasks/{id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/tasks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "48427a36d43c4d5aa6324bc06c692456",
"status": "done",
"product_type": "income",
"provider": {
"id": "adp",
"name": "ADP",
"logo_url": "https://cdn.truv.com/providers/adp.svg"
},
"created_at": "2022-06-07T15:00:00Z",
"updated_at": "2022-06-07T15:30:00Z",
"link_id": "48427a36d43c4d5aa6324bc06c692456",
"user_id": "48427a36d43c4d5aa6324bc06c692456",
"error_message": "Invalid credentials provided",
"tracking_info": "0c8d444ff53947cd822efca7b3d9ef18",
"bridge_token": "2f67984a110747d190c39e1022c81837",
"data_source": "financial_accounts",
"is_suspicious": false,
"order_id": "48427a36d43c4d5aa6324bc06c692456"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}{
"detail": "Not Found."
}Retrieve a task
The endpoint returns a Task.
Authorizations
Client ID
Client Access Key
Path Parameters
Task ID
Response
Unique task identifier
32"48427a36d43c4d5aa6324bc06c692456"
Current task status
done, error, login_error, account_locked, mfa_error, config_error, no_data, unavailable, unable_to_reset, not_supported "done"
Type of data product being processed
income, employment, deposit_switch, pll, insurance, transactions, assets "income"
Show child attributes
Show child attributes
Task creation timestamp (ISO 8601)
"2022-06-07T15:00:00Z"
Task last update timestamp (ISO 8601)
"2022-06-07T15:30:00Z"
ID of the associated link (connection)
32"48427a36d43c4d5aa6324bc06c692456"
ID of the user associated with this task
32"48427a36d43c4d5aa6324bc06c692456"
Error details if task failed
"Invalid credentials provided"
Optional tracking information provided by partner
255"0c8d444ff53947cd822efca7b3d9ef18"
Bridge token used for authentication
32"2f67984a110747d190c39e1022c81837"
Source of the data collection
payroll, docs, insurance, financial_accounts, tax "financial_accounts"
Whether the task or link is flagged as suspicious
false
ID of the order associated with this task
"48427a36d43c4d5aa6324bc06c692456"
Was this page helpful?